/*
 * Class RT_DBG_COMMON
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_368 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_368 [] = {0xFF01,1551,367,0xFFFF};
static const EIF_TYPE_INDEX egt_2_368 [] = {0xFF01,367,0xFFFF};
static const EIF_TYPE_INDEX egt_3_368 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_368 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_368 [] = {0xFF01,367,0xFFFF};
static const EIF_TYPE_INDEX egt_6_368 [] = {0xFF01,367,0xFFFF};
static const EIF_TYPE_INDEX egt_7_368 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_368 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_368 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_368 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_368 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_368 [] = {0xFF01,367,0xFFFF};
static const EIF_TYPE_INDEX egt_13_368 [] = {0xFF01,1567,0xFF01,1324,0xFFFF};


static const struct desc_info desc_368[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_368), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_368), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_368), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_368), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_368), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_368), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_368), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_368), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_368), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_368), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_368), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_368), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x02DF /*367*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_368), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6579, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6580, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_368), 6619, 0xFFFFFFFF},
};
void Init368(void)
{
	IDSC(desc_368, 0, 367);
	IDSC(desc_368 + 1, 1, 367);
	IDSC(desc_368 + 32, 1185, 367);
	IDSC(desc_368 + 34, 1251, 367);
}


#ifdef __cplusplus
}
#endif
